Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QDataStream

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QDataStream class reference

### Public Functions

- bool eof () const `(obsolete)`

## Member Function Documentation

### bool QDataStream::eof () const

Returns true if the IO device has reached the end position (end of stream or file) or if there is no IO device set.

Returns false if the current position of the read/write head of the IO device is somewhere before the end position.

See also QIODevice::atEnd().